GeneStealer Mar 14, 2013 @ 4:32pm
Mac 10.6.3 Support?
That's what it says on Amazon, here it says 10.7 or higher. I tried it on 10.6.4 and It didn't work.
Showing 1-3 of 3 comments
< >
浓油赤酱红烧肉 Mar 14, 2013 @ 9:54pm 
Mac 10.8.2 here, didn't work.
Haven't tried on my Windows 7 PC yet
GeneStealer Mar 15, 2013 @ 7:32am 
I also have a 10.6.8 which didn't work.
{IOUT} Jack Bauer Mar 15, 2013 @ 9:24am 
10.6.8 not working either
Showing 1-3 of 3 comments
< >
Per page: 15 30 50
Date Posted: Mar 14, 2013 @ 4:32pm
Posts: 3